package com.cyksj.service.mail;

import com.cyksj.model.entity.SpotifyUserUpgradeSubmitRecord;

/*
 *项目名: netflix
 *文件名: MailService
 *创建者: JavaZou
 *创建时间:2023/1/3 15:31
 */
public interface MailService {

	/**
	 * 邮箱登录验证码
	 */
	String sendLoginCodeEmailToPeople(Integer digit, String toAddress);

	Boolean sendLoginCodeEmailToPeople(String code, String toAddress);

	void sendEmailMsgToPeople(String people, String subject, String msg);

	/**
	 * 发送课程给用户
	 */
	void sendCoursewareByGoodsId(Long goodsId, Long relationId, Long userId, String goodsTitle, String email) throws Exception;

	void sendSpotifyUpgradeEmail(SpotifyUserUpgradeSubmitRecord.Status status, String email);
}
